Bug 113996 - misc/mc: Midnight Commander cannot cd into directories with underscores using latest bash shell
Summary: misc/mc: Midnight Commander cannot cd into directories with underscores using...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Khon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-24 19:30 UTC by Ighighi
Modified: 2007-07-25 20:52 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ighighi 2007-06-24 19:30:08 UTC
The recently added bash shell (version 3.2.17) prevents Midnight Commander
(available in misc/mc) from changing to directories with underscores.

Fix: 

This is an issue with other OS'es as well... See:

https://savannah.gnu.org/bugs/?18136
http://bugs.archlinux.org/task/5861
http://www.google.com/search?q=mc+%22Warning%3A+Cannot+change+to%22+underscore
http://www.google.com/search?hl=en&q=mc+%22Warning%3A+Cannot+change+to%22+bash&btnG=Search
http://cvs.sv.gnu.org/viewvc/mc/mc/src/subshell.c?sortby=date&r2=1.96&r1=1.95&diff_format=u
How-To-Repeat: When in mc(1), try to cd to any directory containing an underscore.  A message like this will appear:
Warning: Cannot change to /home/ighighi/amsn_received.

Running "mc -u" (--nosubshell) or using a different shell like zsh or the older 3.1.17 is Ok.
Comment 1 Edwin Groothuis freebsd_committer 2007-06-24 19:30:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fjoe

Over to maintainer
Comment 2 dfilter service freebsd_committer 2007-07-18 04:59:47 UTC
fjoe        2007-07-18 03:59:42 UTC

  FreeBSD ports repository

  Modified files:
    misc/mc              Makefile 
    misc/mc/files        patch-src-subshell.c 
  Log:
  Use the `printf' utility instead of `echo' to quote the directory name.
  This fixes changing directories when shell is bash >= 3.2.
  
  PR:             113996
  Obtained from:  Midnight Commander CVS
  
  Revision  Changes    Path
  1.111     +1 -1      ports/misc/mc/Makefile
  1.4       +99 -0     ports/misc/mc/files/patch-src-subshell.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Max Khon freebsd_committer 2007-07-25 20:52:25 UTC
State Changed
From-To: open->closed

Vendor fix committed.